import { UseVariableEditorArgs } from '../variable-editor';
declare type VariableEditorProps = UseVariableEditorArgs & {
    /**
     * Visually hide the header editor.
     * @default false
     */
    isHidden?: boolean;
};
export declare function VariableEditor({ isHidden, ...hookArgs }: VariableEditorProps): import("react/jsx-runtime").JSX.Element;
export {};
